org.apache.cayenne.exp.parser

## Interface ExpressionParserTreeConstants

- All Known Implementing Classes:
    ExpressionParser

      public interface ExpressionParserTreeConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `JJTADD`
    `static int` | `JJTAND`
    `static int` | `JJTBETWEEN`
    `static int` | `JJTDBPATH`
    `static int` | `JJTDIVIDE`
    `static int` | `JJTEQUAL`
    `static int` | `JJTFALSE`
    `static int` | `JJTGREATER`
    `static int` | `JJTGREATEROREQUAL`
    `static int` | `JJTIN`
    `static int` | `JJTLESS`
    `static int` | `JJTLESSOREQUAL`
    `static int` | `JJTLIKE`
    `static int` | `JJTLIKEIGNORECASE`
    `static int` | `JJTLIST`
    `static int` | `JJTMULTIPLY`
    `static int` | `JJTNAMEDPARAMETER`
    `static int` | `JJTNEGATE`
    `static String[]` | `jjtNodeName`
    `static int` | `JJTNOT`
    `static int` | `JJTNOTBETWEEN`
    `static int` | `JJTNOTEQUAL`
    `static int` | `JJTNOTIN`
    `static int` | `JJTNOTLIKE`
    `static int` | `JJTNOTLIKEIGNORECASE`
    `static int` | `JJTOBJPATH`
    `static int` | `JJTOR`
    `static int` | `JJTSCALAR`
    `static int` | `JJTSUBTRACT`
    `static int` | `JJTTRUE`
    `static int` | `JJTVOID`

- - ### Field Detail

    - #### JJTVOID

          static final int JJTVOID

      See Also:
        Constant Field Values

    - #### JJTOR

          static final int JJTOR

      See Also:
        Constant Field Values

    - #### JJTAND

          static final int JJTAND

      See Also:
        Constant Field Values

    - #### JJTNOT

          static final int JJTNOT

      See Also:
        Constant Field Values

    - #### JJTTRUE

          static final int JJTTRUE

      See Also:
        Constant Field Values

    - #### JJTFALSE

          static final int JJTFALSE

      See Also:
        Constant Field Values

    - #### JJTEQUAL

          static final int JJTEQUAL

      See Also:
        Constant Field Values

    - #### JJTNOTEQUAL

          static final int JJTNOTEQUAL

      See Also:
        Constant Field Values

    - #### JJTLESSOREQUAL

          static final int JJTLESSOREQUAL

      See Also:
        Constant Field Values

    - #### JJTLESS

          static final int JJTLESS

      See Also:
        Constant Field Values

    - #### JJTGREATER

          static final int JJTGREATER

      See Also:
        Constant Field Values

    - #### JJTGREATEROREQUAL

          static final int JJTGREATEROREQUAL

      See Also:
        Constant Field Values

    - #### JJTLIKE

          static final int JJTLIKE

      See Also:
        Constant Field Values

    - #### JJTLIKEIGNORECASE

          static final int JJTLIKEIGNORECASE

      See Also:
        Constant Field Values

    - #### JJTIN

          static final int JJTIN

      See Also:
        Constant Field Values

    - #### JJTBETWEEN

          static final int JJTBETWEEN

      See Also:
        Constant Field Values

    - #### JJTNOTLIKE

          static final int JJTNOTLIKE

      See Also:
        Constant Field Values

    - #### JJTNOTLIKEIGNORECASE

          static final int JJTNOTLIKEIGNORECASE

      See Also:
        Constant Field Values

    - #### JJTNOTIN

          static final int JJTNOTIN

      See Also:
        Constant Field Values

    - #### JJTNOTBETWEEN

          static final int JJTNOTBETWEEN

      See Also:
        Constant Field Values

    - #### JJTLIST

          static final int JJTLIST

      See Also:
        Constant Field Values

    - #### JJTSCALAR

          static final int JJTSCALAR

      See Also:
        Constant Field Values

    - #### JJTADD

          static final int JJTADD

      See Also:
        Constant Field Values

    - #### JJTSUBTRACT

          static final int JJTSUBTRACT

      See Also:
        Constant Field Values

    - #### JJTMULTIPLY

          static final int JJTMULTIPLY

      See Also:
        Constant Field Values

    - #### JJTDIVIDE

          static final int JJTDIVIDE

      See Also:
        Constant Field Values

    - #### JJTNEGATE

          static final int JJTNEGATE

      See Also:
        Constant Field Values

    - #### JJTNAMEDPARAMETER

          static final int JJTNAMEDPARAMETER

      See Also:
        Constant Field Values

    - #### JJTOBJPATH

          static final int JJTOBJPATH

      See Also:
        Constant Field Values

    - #### JJTDBPATH

          static final int JJTDBPATH

      See Also:
        Constant Field Values

    - #### jjtNodeName

          static final String[] jjtNodeName

Copyright © 2001–2018 Apache Cayenne. All rights reserved.